Queue async post generation
POST
https://api.usenotra.com
/
v1
/
posts
/
generate
Queue async post generation
curl --request POST \
--url https://api.usenotra.com/v1/posts/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contentType": "blog_post",
"lookbackWindow": "last_7_days",
"brandVoiceId": "voice_123",
"brandIdentityId": "voice_123",
"repositoryIds": [
"repo_1",
"repo_2"
],
"linearIntegrationIds": [
"linear_integration_1"
],
"integrations": {
"github": [
"integration_1",
"integration_2"
],
"linear": [
"linear_integration_1"
]
},
"github": {
"repositories": [
{
"owner": "usenotra",
"repo": "notra"
}
]
},
"dataPoints": {
"includePullRequests": true,
"includeCommits": true,
"includeReleases": true,
"includeLinearData": false
},
"selectedItems": {
"commitShas": [
"<string>"
],
"pullRequestNumbers": [
{
"repositoryId": "<string>",
"number": 123
}
],
"releaseTagNames": [
"<string>"
],
"linearIssueIds": [
{
"integrationId": "<string>",
"issueId": "<string>"
}
]
}
}
'import requests
url = "https://api.usenotra.com/v1/posts/generate"
payload = {
"contentType": "blog_post",
"lookbackWindow": "last_7_days",
"brandVoiceId": "voice_123",
"brandIdentityId": "voice_123",
"repositoryIds": ["repo_1", "repo_2"],
"linearIntegrationIds": ["linear_integration_1"],
"integrations": {
"github": ["integration_1", "integration_2"],
"linear": ["linear_integration_1"]
},
"github": { "repositories": [
{
"owner": "usenotra",
"repo": "notra"
}
] },
"dataPoints": {
"includePullRequests": True,
"includeCommits": True,
"includeReleases": True,
"includeLinearData": False
},
"selectedItems": {
"commitShas": ["<string>"],
"pullRequestNumbers": [
{
"repositoryId": "<string>",
"number": 123
}
],
"releaseTagNames": ["<string>"],
"linearIssueIds": [
{
"integrationId": "<string>",
"issueId": "<string>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contentType: 'blog_post',
lookbackWindow: 'last_7_days',
brandVoiceId: 'voice_123',
brandIdentityId: 'voice_123',
repositoryIds: ['repo_1', 'repo_2'],
linearIntegrationIds: ['linear_integration_1'],
integrations: {github: ['integration_1', 'integration_2'], linear: ['linear_integration_1']},
github: {repositories: [{owner: 'usenotra', repo: 'notra'}]},
dataPoints: {
includePullRequests: true,
includeCommits: true,
includeReleases: true,
includeLinearData: false
},
selectedItems: {
commitShas: ['<string>'],
pullRequestNumbers: [{repositoryId: '<string>', number: 123}],
releaseTagNames: ['<string>'],
linearIssueIds: [{integrationId: '<string>', issueId: '<string>'}]
}
})
};
fetch('https://api.usenotra.com/v1/posts/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organization": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"logo": "<string>"
},
"job": {
"id": "<string>",
"organizationId": "<string>",
"repositoryIds": [
"<string>"
],
"brandVoiceId": "<string>",
"workflowRunId": "<string>",
"postId": "<string>",
"error": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"completedAt": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"limit": 2,
"remaining": 1,
"reset": 123
}{
"error": "<string>",
"jobId": "<string>"
}Authorizations
Send your API key in the Authorization header as Bearer API_KEY.
Body
application/json
Available options:
changelog, blog_post, linkedin_post, twitter_post, image Example:
"blog_post"
Available options:
current_day, yesterday, last_7_days, last_14_days, last_30_days Example:
"last_7_days"
Minimum string length:
1Example:
"voice_123"
Minimum string length:
1Example:
"voice_123"
Deprecated. Use integrations.github with GitHub integration IDs instead.
Minimum string length:
1Example:
["repo_1", "repo_2"]
Deprecated. Use integrations.linear with Linear integration IDs instead.
Minimum string length:
1Example:
["linear_integration_1"]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{ "repositories": [{ "owner": "usenotra", "repo": "notra" }] }
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on July 17, 2026
Was this page helpful?
⌘I
Queue async post generation
